> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate pnr

## Overview

Allows the client to validate a personal number before using it to apply for a Legal Identity.

## HTTP request

`POST /Agent/Legal/ValidatePNr`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"countryCode": Required(Str(PCountryCode)),
	"pnr": Required(Str(PPNr))
}
```

## Input parameters

| Parameter    | Description                        |
| ------------ | ---------------------------------- |
| PCountryCode | ISO 3166-1 country code.           |
| PPNr         | Personal number entry to validate. |

## Response (JSON)

```json theme={null}
{
	"countrySupported": Required(Boolean(PCountrySupported)),
	"isValid": Optional(Boolean(PIsValid)),
	"normalized": Optional(Str(PNormalized))
}
```

## Response parameters

| Parameter         | Description                                                                            |
| ----------------- | -------------------------------------------------------------------------------------- |
| PCountrySupported | If country is supported and recognized by the personal number validator on the broker. |
| PIsValid          | If the entry was found to be valid.                                                    |
| PNormalized       | The normal form of the personal number entry.                                          |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
